Bug 176446 - RFE: system-config-multiseat
RFE: system-config-multiseat
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Orphan Owner
http://blog.chris.tylers.info/index.p...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 16:27 EST by Eric Moret
Modified: 2012-09-13 05:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2005-12-22 16:27:23 EST
Description of problem:

This feature request is in relation to configuration of X for multiple
simultaneous interactive users. i.e.: one host with multiple
display/keyboard/mouse. X11R6.9 and X11R7.0 now natively include parameters to
get this configured. It would be nice if Redhat included a utility to configure
this feature without having to manually tweak configuration parameters.
system-config-display might or might not be the best candidate for this RFE,
please feel free to reassign to another package if this does not fit in here.

Below is a mini-howto directly taken from 
http://blog.chris.tylers.info/index.php?/archives/14-Multiseat-X-Under-X11R6.97.0.html

1. Install your favorite distro.

2. Upgrade the X server to X.Org 6.9 or 7.0 if necessary (pre-release versions at
http://x.org) - FC5 test releases include X.org 7.0.

(Note that 6.9 and 7.0 are the same software, but 6.9 is a monolithic build and
7.0 is modular).

3. Configure and test a Xinerama configuration using "X -configure".
(Refer to http://www.tldp.org/HOWTO/Xinerama-HOWTO/ if needed)

4. Plug in your additional USB keyboards and mice.

5. Find all of the keyboards and mice in /proc/bus/input/devices. Note
the Handlers line for each device; find the 'eventX' value for each
keyboard and the 'mouseX' value for each mouse.

6. Construct an InputDevice section for each keyboard, and place it in
the /etc/X11/xorg.conf file:

Section "InputDevice"
    Identifier "keyboardN"
    Driver "evdev"
    Option "Device" "/dev/input/eventX"
EndSection

Replace N with a sequential keyboard number, and X with the event
handler identified in step 5.

7. Construct an InputDevice section for each mouse, and place it in
the /etc/X11/xorg.conf file:

Section "InputDevice"
    Identifier "mouseN"
    Driver "mouse"
    Option "ZAxisMapping" "4 5"
    Option "Device" "/dev/input/mouseX"
EndSection

Replace N with the a sequential mouse number, and X with the mouse
handler identified in step 5.

8. Create a ServerLayout section for each seat, and add it to the
xorg.conf file:

Section "ServerLayout"
    Identifier "seatN"
    Screen 0 "Screen0" 0 0
    InputDevice "mouseN" "CorePointer"
    InputDevice "keybaordN" "CoreKeyboard"
EndSection

9. Test the displays using the -novtswitch and -sharevts options:

X -novtswitch -sharevts -layout seatN :0

Replace N with each seat number in turn. You probably won't be able to
zap (Ctrl-Alt-Backspace) the server nor switch VTs, so you'll need
another system with ssh access to terminate the X servers (or run
something like 'while sleep 60 ; do killall X ; done' in the
background).

10. Although you can start each X server using the X (or Xorg) binary, it's
easier to track and kill individual servers if you link separate names (X0, X1)
for each server:

ln -s /usr/X11R6/bin/X /usr/X11R6/bin/X0
ln -s /usr/X11R6/bin/X /usr/X11R6/bin/X1

Note that the X server may be relocated - when I installed 6.9 from the X.org
CVS onto FC4, the server went into /usr/X11R6/bin, but in FC5 (7.0) it's in
/usr/bin. This command will work in any case:

ln -s $(which X) $(which X)0
ln -s $(which X) $(which X)1

11. Add the new X servers to the display manager configuration. If
you're using Fedora Core 4, for example, modify /etc/X11/gdm/gdm.conf:

- Comment out this line by prepening the #:
#0=Standard

- Add these lines, one for each seat:
0=Standard0
1=Standard1
...

- Add these sections:
[server-Standard0]
name=Standard server
command=/usr/X11R6/bin/X0 -novtswitch -sharevts -layout seat0
flexible=false

[server-Standard1]
name=Standard server
command=/usr/X11R6/bin/X1 -novtswitch -sharevts -layout seat1
flexible=false

12. Restart the display manager and enjoy!
Comment 2 Jon Stanley 2008-04-23 16:28:54 EDT
Adding FutureFeature keyword to RFE's.
Comment 3 Matěj Cepl 2009-11-05 12:11:08 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Eric Moret 2009-11-06 17:29:46 EST
This Bug predates discussions of multiseat at the feature level. Here are links to the wiki discussing the feature.
http://fedoraproject.org/wiki/Features/Multiseat
http://fedoraproject.org/wiki/Talk:Features/Multiseat

Note You need to log in before you can comment on or make changes to this bug.